import generator from "npm:megalodon@5.4.1";

const client = generator.default("pleroma", "https://social.ruthenic.com");

const appData = await client.registerApp("Test", {
    scopes: ["read", "write", "follow"],
});

console.log(appData.url);

const code = prompt("Enter auth code:");

if (code) {
    console.log(
        await client.fetchAccessToken(
            appData.clientId,
            appData.clientSecret,
            code,
        ),
    );
}
